*$ CREATE OPHBDX.FOR
*COPY OPHBDX
*
*=== Ophbdx ===========================================================*
*
      SUBROUTINE OPHBDX ( OMGPHO, WVLNGT, MREG  , NEWREG, SIGANW,
     &                    SIGDNW, RFNDPR, VGRPNW, LPHKLL )

      INCLUDE '(DBLPRC)'
      INCLUDE '(DIMPAR)'
      INCLUDE '(IOUNIT)'
*
*----------------------------------------------------------------------*
*                                                                      *
*     Copyright (C) 1998-2005      by    Alfredo Ferrari & Paola Sala  *
*     All Rights Reserved.                                             *
*                                                                      *
*                                                                      *
*     user defined Optical PHoton BounDary-(X)crossing properties:     *
*                                                                      *
*     Created on 19 september 1998 by    Alfredo Ferrari & Paola Sala  *
*                                                   Infn - Milan       *
*                                                                      *
*     Last change on 10-nov-02     by    Alfredo Ferrari               *
*                                                                      *
*                                                                      *
*----------------------------------------------------------------------*
*
      INCLUDE '(FLKMAT)'
      INCLUDE '(TRACKR)'
*
      LOGICAL LPHKLL
*
      LPHKLL = .FALSE.
      MMATNW = MEDFLK (NEWREG,IPRODC)
*  Get the "normal" optical properties of the new medium:
      CALL CMOPPR ( OMGPHO, WVLNGT, MMATNW, SIGANW, SIGDNW, RFNDPR,
     &              VGRPNW )
      RETURN
*=== End of subroutine Ophbdx =========================================*
      END

